### Function: HasSpellImmunity(spawn, type)

**Description:**
Return's if the spawn has immunity to the spell type.  See available types in https://github.com/emagi/eq2emu/blob/main/docs/data_types/immunity_types.md

**Parameters:**
- `spawn` (Spawn) - Spawn object representing `spawn`.
- `type` (uint8) - Integer value `type`.

**Returns:** True if the spawn has immunity to spell type, otherwise false.

**Example:**

Example Required
